Subject: bug#40838: 28.0.50; [feature/native-comp] Function overrides in init.el are not honored after deferred compilation

From: Andrea Corallo <[email-masked]>
Date: Tue, 28 Jul 2020 07:24:23 +0000

Ihor Radchenko <[email-masked]> writes:

> Reopen.
>
> I think I found something related to this bug report in
> exlplain-pause-mode package. See
> https://github.com/lastquestion/explain-pause-mode/issues/65 for
> details.
>
> best,
> Ihor

Hi Ihor,

thanks for the finding.

native-comp does not support advises to (most) primitive functions for
performance reasons.  The elisp manual strongly discourage this practice
tho.

The issue can be worked around adding those functions into the
`comp-never-optimize-functions' customize.

That said this is an area I plan to fix to have it 100% compatible with
the vanilla implementaiton once I'm done with moving all the eln file.

My understanding was that the issue reported in this bug was not advise
related but it could be also a side effect of?

Regards

  Andrea

-- 
[email-masked]